Changes between Version 3 and Version 4 of AuthRequiredPlugin


Ignore:
Timestamp:
Nov 14, 2006, 8:40:29 PM (8 years ago)
Author:
anonymous
Comment:

--

Legend:

Unmodified
Added
Removed
Modified
  • AuthRequiredPlugin

    v3 v4  
    66
    77For any practical purpose, this hack only makes sense if you are using the AccountManagerPlugin to get a form based login, and, as such, requires it.  If you aren't using AccountManager, you could simply password protect trac's base URI to present a standard auth dialog.
     8
     9This is essentially a "pretty" solution to a couple annoyances:
     10 * trac will display an error stating that WIKI_VIEW permission is required when anonymous has no permissions (ugly)
     11 * certain plugins and navigation contributors still work for anonymous even if he has no permissions:
     12  * TagsPlugin
     13  * /about
     14  * /settings
    815
    916== Bugs/Feature Requests ==